<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>People</title>
    <script src="https://cdn.socket.io/4.6.0/socket.io.min.js" integrity="sha384-c79GN5VsunZvi+Q/WObgk2in0CbZsHnjEqvFxC5DxHn9lTfNce2WW6h2pH6u/kF+" crossorigin="anonymous"></script>
    <script src="public/index.js" defer></script>
</head>
<body>
    <h1>People</h1>
    <form>
        <input name="firstName" type="text"/>
        <div style="color: red;"></div>
        <input name="lastName" type="text" required="true"/>
        <div style="color: red;"></div>
        <button id="add-button">add</button>
    </form>
    <input id="search-input" type="text"/>
    <ul>
        {{#each people}}
            <li>
                <span>{{id}} - {{firstName}} {{lastName}} </span>
                <a href="people/{{id}}">delete</a>
            </li>
        {{/each}}
    </ul>
</body>
</html>